List Pix Automático Authorization Requests
curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-Id: <x-account-id>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Account-Id", "<x-account-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"accountId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
"amount": {
"fixed": "29.90",
"max": "500.00",
"min": "10.00"
},
"createdAt": "2023-11-07T05:31:56Z",
"destination": {
"account": "123456",
"accountType": "CACC",
"bank": "30306294",
"branch": "0001",
"document": "11222333000181",
"key": "contato@streaming.co",
"name": "Streaming Co",
"personType": "LEGAL_PERSON"
},
"externalRequestId": "RREC-2026-04-001",
"id": "019cf6ef-e418-7ced-80c0-7b9816faa798",
"journey": "J1",
"periodicity": {
"type": "MONTHLY",
"customDays": 30
},
"retryPolicy": "RETRY_3X_7D",
"status": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z",
"validUntil": "2026-06-30T23:59:59Z",
"acceptedMaxAmount": "500.00",
"approvingAt": "2023-11-07T05:31:56Z",
"cancellationCode": "ACCL",
"cancellationRequester": "PSP_PAYEE",
"cancelledAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"description": "Streaming subscription",
"expiredAt": "2023-11-07T05:31:56Z",
"firstChargeId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
"payeeRejectionCode": "MD20",
"payeeRejectionDescription": "<string>",
"rejectedAt": "2023-11-07T05:31:56Z",
"replyFailedAt": "2023-11-07T05:31:56Z",
"replyFailureReason": "<string>"
}
],
"limit": 10,
"page": 1,
"total": 42
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}List Pix Automático Authorization Requests
List authorization requests belonging to the authenticated payer with optional filters and page/limit pagination.
GET
/
v1
/
recurrences
/
payer
/
authorization-requests
List Pix Automático Authorization Requests
curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-Id: <x-account-id>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Account-Id", "<x-account-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"accountId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
"amount": {
"fixed": "29.90",
"max": "500.00",
"min": "10.00"
},
"createdAt": "2023-11-07T05:31:56Z",
"destination": {
"account": "123456",
"accountType": "CACC",
"bank": "30306294",
"branch": "0001",
"document": "11222333000181",
"key": "contato@streaming.co",
"name": "Streaming Co",
"personType": "LEGAL_PERSON"
},
"externalRequestId": "RREC-2026-04-001",
"id": "019cf6ef-e418-7ced-80c0-7b9816faa798",
"journey": "J1",
"periodicity": {
"type": "MONTHLY",
"customDays": 30
},
"retryPolicy": "RETRY_3X_7D",
"status": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z",
"validUntil": "2026-06-30T23:59:59Z",
"acceptedMaxAmount": "500.00",
"approvingAt": "2023-11-07T05:31:56Z",
"cancellationCode": "ACCL",
"cancellationRequester": "PSP_PAYEE",
"cancelledAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"description": "Streaming subscription",
"expiredAt": "2023-11-07T05:31:56Z",
"firstChargeId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
"payeeRejectionCode": "MD20",
"payeeRejectionDescription": "<string>",
"rejectedAt": "2023-11-07T05:31:56Z",
"replyFailedAt": "2023-11-07T05:31:56Z",
"replyFailureReason": "<string>"
}
],
"limit": 10,
"page": 1,
"total": 42
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}{
"message": "<string>",
"code": "<string>",
"title": "<string>",
"fields": {},
"headers": {},
"paths": {},
"queryParams": {},
"raw": "<string>"
}Authorizations
JWT bearer token issued by the identity provider.
Headers
Account ID (UUID format)
Query Parameters
Page number (default 1, minimum 1)
Page size (default 10, range 1-100)
Filter by status (comma-separated, OR-matched): PENDING, INITIATED, APPROVING, CONFIRMED, REJECTED, PAYMENT_FAILED, REPLY_FAILED, CANCELLED, EXPIRED
ISO 8601 UTC lower bound on createdAt
Example:
"2026-06-09T00:00:00Z"
ISO 8601 UTC upper bound on createdAt
Example:
"2026-06-09T00:00:00Z"
Sort order: asc or desc (default desc)
Was this page helpful?

